#
# spec file for package xmlstarlet (Version 0.8.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libxml2 libxml2-devel libxslt libxslt-devel sgml-skel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool libxml2 libxml2-devel libxslt libxslt-devel perl rpm sgml-skel

Name:         xmlstarlet
Summary:      Command line tool to transform, query, validate, and edit XML documents
Version:      0.8.1
Release:      29.1
License:      X11/MIT
Group:        Productivity/Publishing/XML
Source0:      http://ftp1.sourceforge.net/xmlstar/xmlstarlet-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://sourceforge.net/projects/xmlstar/
Prefix:       %{_prefix}
Docdir:       %{_docdir}

%description
XMLStarlet is a command line XML toolkit which can be used to
transform, query, validate, and edit XML documents and files using 
simple set of shell commands in similar way it is done for plain text
files using grep/sed/awk/ tr/diff/patch.



Authors:
--------
    Mikhail Grushinskiy <mgrouch@users.sourceforge.net>

%prep
%setup -q

%build
#%%configure
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=%prefix \
  --sysconfdir=%{_sysconfdir} \
  --mandir=%{_mandir} \
  --libdir=%_libdir \
  --with-libxml-libs-prefix=%_libdir \
  --with-libxslt-libs-prefix=%_libdir \
  --with-libiconv-libs-prefix=%_libdir
make

%install
rm -fr %{buildroot}

%makeinstall

%clean
rm -fr %{buildroot}
# %post
# %postun

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README Copyright TODO doc/xmlstarlet.txt doc/xmlstarlet.pdf
%{prefix}/bin/xml
%_mandir/*/*

%changelog -n xmlstarlet
* Mon Feb 16 2004 - ke@suse.de
- Update to version 0.8.1.
* Mon Sep 01 2003 - ke@suse.de
- Make it build on ppc64 and x86_64: use
--with-libxml-libs-prefix=%%_libdir,
--with-libxslt-libs-prefix=%%_libdir, and
--with-libiconv-libs-prefix=%%_libdir.
* Thu Aug 28 2003 - toms@suse.de
- New package: xmlstarlet 0.5.1
